[RTEX] Debian 10 - Buster - netinst - amd64 - Jeedom V4

Tags: #<Tag:0x00007f3852e27b60> #<Tag:0x00007f3852e27980>

Bonjour, la modification du RFXCOM n’a rien changé.
J’ai rallumé mon Raspberry PI2 ce matin, il tourne bien Raspberry
Je ne sais que faire de mon Nuc qui bug.

@+ Eric

Bonsoir @akenad, merci pour ce super article :+1:
J’ai vu que le lien était mort, j’ai cherché mais il y a vraiment beaucoup de versions.
Pouvez-vous me dire si cette version est bonne : debian-10.1.0-amd64-netinst ?
Je suis sur NUC HYSTOU i3 - 8 Mo de mémoire vive.

Merci d’avance
Eric

Bonjour @echlon,
En effet depuis mon premier post la version est passée de 10.0 à 10.1.
La 10.0 est passée en archive : https://cdimage.debian.org/cdimage/archive/10.0.0/amd64/iso-cd/debian-10.0.0-amd64-netinst.iso
et la 10.1 est ici : https://cdimage.debian.org/debian-cd/10.1.0/amd64/iso-cd/debian-10.1.0-amd64-netinst.iso

akenad :slight_smile:

Bonjour @akenad, merci beaucoup.

@+ Eric

Merci pour ce tuto, tout est passé sur mon debian 10, merci :slight_smile:

Bonjour @akenad, depuis hier soir ça marche super bien 90% :+1:
Je ne sais même pas pourquoi, j’ai fais pas mal de modifications entre mon Raspberry Pi 2B et mon NUC
impossible de s’avoir pourquoi maintenant le mémoire est stable.
Merci encore et bon dimanche.

@+ Eric

Bonjour,

Pour ma part je n’arrive pas à faire fonctionner le script install.sh sans effectuer les modifications suivantes sur mon raspberry pi 3b avec buster lite:


#apt_install mysql-client mysql-common mysql-server
apt_install mariadb-client mariadb-common mariadb-server

#apt-get -y install php7.1 php7.1-curl php7.1-gd php7.1-imap php7.1-json php7.1-mcrypt php7.1-mysql php7.1-xml php7.1-opcache php7.1-soap php7.1-xmlrpc libapache2-mod-php7.1 php7.1-common php7.1-dev php7.1-zip php7.1-ssh2
apt-get -y install php7.3 php7.3-curl php7.3-gd php7.3-imap php7.3-json php7.3-mysql php7.3-xml php7.3-opcache php7.3-soap php7.3-xmlrpc libapache2-mod-php7.3 php7.3-common php7.3-dev php7.3-zip php7.3-ssh2

Comme on peut le constater php7.3-mcrypt n’est plus disponible sur buster. Je n’ai aucune idée si cela à des incidences sur la sécurité ?

Au final j’ai une version jeedom 4.x.

J’ai ensuite importé ma sauvegarde et je me retrouve avec une version 3.38. Je ne sais pas si cette méthode pour migrer vers buster est viable et s’il y aura une migration vers jeedom 4.x par la suite?

Merci par avances des vos avis sur ces points

Bonjour.
Pour ma part j’ai pratiqué les tests suivants:

  • installation de Debian Buster sur une machine vierge de tout (un NUC Intel de test)
  • puis installation de Jeedom V4 par dessus
  • puis récupération d’une sauvegarde de Prod Jeedom V3.3.38 qui tourne sur un autre NUC Intel en Debian 9.11.
    Cette configuration fonctionne parfaitement (j’ai “dupliqué” ma clef Zwave au préalable pour verifier que le réseau Zwave est OK). Elle est donc en V3.3.38 sous Debian Buster.
  • Ensuite j’ai mis à jour en V4 Jeedom. Je précise que sur ma version 3.3.38 j’ai au préalable réalisé un travail de fond pour modifier tout ce qui était widgets spécifiques afin de les rendre compatibles à moindre effort sous Jeedom V4.
  • cette configuration V4 de test fonctionne parfaitement.
1 J'aime

Bonjour @magifix,
Ce sujet ne concerne pas le Pi.
Je te suggère d’aller plutôt voir le sujet pi4 et buster qui se rapproche plus de ton cas d’usage sur la partie Raspbian Buster lite : https://community.jeedom.com/t/2512

akenad :slight_smile:

ok, merci pour l’adresse

Existe-il une procédure pour passer une Smart en Buster ?

Actuellement je tourne en V4 / Stretch sur ma Smart

Bonjour @BorisTS,

A ma connaissance, pour l’instant, il n’existe pas de procédure officielle Jeedom SAS publique pour passer une Smart en Buster.
Techniquement il en existe une mais totalement hors garantie et non supporté.

akenad :slight_smile:

Merci pour ta réponse très clair.

Bonjour ,
Si il y a pas de procédure officielle jeedom pour mettre jeedom v4 sur linux Buster , c’est surement pour ça que j’ai l’erreur là .

erreur%20installe

Bonjour @lafouine350,

Ne mélangeons pas tout.

L’échange juste ci dessus avec @BorisTS ne concernait que la Box JeedomSmart.

L’objet initial de ce sujet ne concerne que Debian Buster sur X64. Dans ce contexte l’installation de Jeedom V4 fonctionne très bien si l’on suit fidèlement ce qui est détaillé dans le premier post.

En particulier :

su -

et le téléchargement du fichier install.sh avec le chemin correct indiqué.

akenad :slight_smile:

1 J'aime

Bonjour akenad,
Merci de m’avoir répondu , ok je suis entrain de refaire une VM propre et je vais suivre des conseils sur le premier post pour installer jeedom V4 .

lafouine :wink:

Bonjour,
Je tourne sur Docker avec une image officelle Jeedom en Debian 9 et Jeedom V3.
La migration directe en V4 est-elle possible ?
Ou faut-il passer par une image Debian 10 avant de passer en V4 ?
Merci !

Bonjour @Stanymanman,

Ce sujet ne concerne pas Docker.

Je t’invites à ouvrir un sujet dans la catégorie Docker.

akenad :slight_smile:

Oui peut être mais la démarche reste la même.
Jeedom V4 est compatible Debian 9 ?
Merci.

Oui, bien sûr.

1 J'aime